1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Probleme mit MyGallery

Dieses Thema im Forum "Plugins und Widgets" wurde erstellt von Luvshining, 2. April 2007.

  1. Luvshining

    Luvshining Active Member

    Registriert seit:
    19. September 2005
    Beiträge:
    44
    Zustimmungen:
    0
    Hallo, ich habe mir gerade MyGallery (mygallery_1.0.5.zip) heruntergeladen und installiert. Wenn ich nun in meine Administrationsoberfläche gehe, sieht es etwas leer aus (siehe Bildanhang).
    Die von mir genutzte WP Version ist 2.1.2.

    Hat jemand einen Rat für mich?

    Gruß
    Nadine
     
  2. Luvshining

    Luvshining Active Member

    Registriert seit:
    19. September 2005
    Beiträge:
    44
    Zustimmungen:
    0
    Bildanhang...

    Der Bildanhang hat gefehlt. Jetzt ist er da ;)
     
  3. funkygog

    funkygog Well-Known Member

    Registriert seit:
    2. November 2006
    Beiträge:
    631
    Zustimmungen:
    0
    Deine myGallery-Version ist schon recht betagt. Es gibt für WP 2.1x eine neue (noch Beta-) Version.
    Allerdings funktionierte es bei mir auch nicht recht. Es gibt wohl Konflikte mit eingebundenen Java-Scripten.
     
  4. Luvshining

    Luvshining Active Member

    Registriert seit:
    19. September 2005
    Beiträge:
    44
    Zustimmungen:
    0
    Immernoch die Gallery

    Sehr seltsam. Jetzt habe ich auf Deinen Rat hin einmal mygallery_1.4b4.zip heruntergeladen und wie folgt installiert:
    - Einmal auf meinem Server mit der WP Version 2.0.2
    - Einmal bei einem Bekannten mit der WP Version 2.1.2

    Bei dem Bekannten läuft es einwandfrei, nur das ich mich frage, ob ich irgendwo einstellen kann, dass nur 4 Thumbnails nebeneinander angezeigt werden sollen und keine 7.


    Bei mir ist nun folgendes Problem:
    Es fehlt vollständig der Hinweis: " Erstelle ____ als neue, leere Galerie". Kurzum, ich kann keine Galerie anlegen. Wenn ich sage, er soll nen Import aus dem Ordner /beispiel/ machen, sagt er der Order wäre nicht existent, obwohl er das ist.

    Hat noch jemand eine Idee, welche Version sich bei mir nun eignet, oder sollte ich besser aufgeben? ;)
    Kurz nach der Installation habe ich noch einen Hinweis mit "... PHP" gesehen, aber leider war ich zu schnell im klicken um diesen erneut zu sehen. Auch ein Rekonstruieren war nicht möglich. Fehlt vielleicht eine Installation auf meinem Server?

    Liebe Grüße
    Nadine
     
  5. spezifish

    spezifish New Member

    Registriert seit:
    3. April 2007
    Beiträge:
    2
    Zustimmungen:
    0
    Moin Luvshining,

    mygallery_1.4b4 läuft wunderbar mit Wordpress 2.1.2/2.1.3, sollte daran nicht liegen.

    Ich gebe mal eben eine Übersicht, was ich gemacht habe:

    !! ich habe safe-mode auf on, dieser Überblick ist daher umfangreicher als er für Dich ggf. sein muss !!

    Wenn Du in css nicht fit bist, hilft beispielsweise 'selfhtml'.
    Die myGallery-pdf-Datei (siehe homepage) gibt eine anschauliche Übersicht
    der css-Klassen.

    Der wichtigste Punkt ist natürlich Punkt 9. ...
     
  6. Luvshining

    Luvshining Active Member

    Registriert seit:
    19. September 2005
    Beiträge:
    44
    Zustimmungen:
    0
    Leider noch immer nichts mit Mygallerie

    Hallo,
    vielen Dank, dass Du Dir so viel Mühe gemacht hast. Bei mir ist aber alles beim alten.

    (a) Ich bekomme keine Möglichkeit direkt über WP einen Galerie-Namen anzulegen. (b) Selbst wenn ich das manuell über FTP mache (siehe Bild im Anhang) und den Ordnern die Rechte voll zuteile (777) sagt mir das Plugin, dass die Ordner nicht vorhanden sind (siehe Bildanhang).

    Was mich besonders wundert ist die Tatsache, dass ich das selbe PlugIn für die neuere WP-Version ans Laufen bekomme. Es ist allerdings auch ein anderer Webserver. Ich wollte gerad über die "Serverinfo" mal die Server vergleichen. Aber auch hier hatte ich das Glück, dass bei dem Bekannten die Serverinfo lief und aufgerufen werden konnte und bei mir gleich die ganze WP-Administration gecrashed ist und ich das Plugin deinstallieren musste.

    Hat noch jemand einen Rat für mich, ausser meine Version upzudaten? Das möchte ich nämlich eigentlich vermeiden. Bei meinem Glück läuft danach gar nichts mehr und die Daten sind weg :)
     
  7. spezifish

    spezifish New Member

    Registriert seit:
    3. April 2007
    Beiträge:
    2
    Zustimmungen:
    0
    Moin Luvshining,

    nenn Deinen Ordner mal 'tumbs', ohne 'h', auch wenn es anders mehr Sinn macht :)
    'tumbs' statt 'thumbs' ist AFAIK ein Rechtschreibfehler vom Autor, durfte aber aus Kompatibilitätsgründen überleben..

    Der andere Server erstellt vermutlich den Ordner 'tumbs' selbst,daher läuft es mit dem :)

    edit: die Fotos dann direkt in 'test', keinen Unterordner.

    Mia. rockt !!! (falls Mia. die Mieze ist, die ich auch kenne)
     
    #7 spezifish, 4. April 2007
    Zuletzt bearbeitet: 4. April 2007
  8. funkygog

    funkygog Well-Known Member

    Registriert seit:
    2. November 2006
    Beiträge:
    631
    Zustimmungen:
    0
    [SIZE=-1]Die [/SIZE]mygallery_1.4b4.zip erfordert (glaube ich) WP 2.1x.
    Im ersten Beitrag hattest Du geschrieben, das Du WP 2.12 benutzt.
    Deshalb von mir der Vorschlag mit der aktuellen Version.

    Du kannst aber auch mal die Suchmaschine befragen.
    Das Plug-In ist ja sehr populär.

    Nebenbei bemerkt, ich habe es auch noch nicht zum laufen bekommen.
    Liegt wohl an einem Javascript Konflikt.
     
  9. Luvshining

    Luvshining Active Member

    Registriert seit:
    19. September 2005
    Beiträge:
    44
    Zustimmungen:
    0
    Am Ende der Nerven

    Es ist echt zum Mäuse melken....

    Ich habe aus lauter Frust jetzt doch ein Update auf die neue WP Version gemacht. Dabei bin ich noch über eine veraltete MySql-Version gestolpert. Die ist jetzt aktualisiert worden..... aber es läuft noch immer nicht. Die selben Meldungen... Die selben Probleme.

    Kann es am "PHP Safe Mode On" liegen? Das wäre für ich augenscheinlich nämlich der einzige Unterschied vom einem zum anderen Webserver....

    Wenn das jetzt nicht der Grund ist, gebe ich auf...... :(
     
  10. funkygog

    funkygog Well-Known Member

    Registriert seit:
    2. November 2006
    Beiträge:
    631
    Zustimmungen:
    0
    Ich habe jetzt myGallery gelöscht und versuche mein Glück mit
    minimal Gallery | home
    Das ist kein WordPress Plug-In sondern wird direkt als Seite aufgerufen.
    Schau Dir am Besten die Demo-Seite an.
    Finde ich sehr ansprechend. Und eine Foto-Seite sieht ja ohnehin schöner aus ohne die Sitebar, Header, Footer.
     
  11. adlerauge

    adlerauge Well-Known Member

    Registriert seit:
    7. Januar 2007
    Beiträge:
    89
    Zustimmungen:
    0
    Kann es am "PHP Safe Mode On" liegen? Das wäre für ich augenscheinlich nämlich der einzige Unterschied vom einem zum anderen Webserver....

    Wenn das jetzt nicht der Grund ist, gebe ich auf...... :([/quote]

    @Luvshining denke nicht das es am safe mode liegt, da mygallery auch mit eingeschaltetem safe mode funkt! (habe bei mir auch mit safe mode on gearbeitet bis dieser ausgeschaltet wurde)

    hast du den unterschied korigiert (ersichtlich aus deinen 2bildanhängen)

    my gallery verwendet das Wort tumbs ohne h!!!!!! (tumbs nicht gleich thumbs)! hatte das gleiche Problem wie du! aber nun bin ich überglücklich mit mygallery!!
     
  12. delogam

    delogam Active Member

    Registriert seit:
    31. März 2007
    Beiträge:
    36
    Zustimmungen:
    0
    Hallo, ich habe gerade das Programm FileReplace 2.0 genutzt und mein mygallery Plugin ist nun Rechtschreibfehlerfrei! Bei mir heißen die Ordner jetzt nicht mehr "tumbs" sondern korrekt "thumbs". auch das "tmb" am Anfang einesThumbnails habe ich angepasst. zu "tn_" (wie bei ThumbsPlus7). Ich werd die fehlerbereinigte Version nachher hier per ZIP hochladen.

    Warum ich das jetzt noch nicht hochlade?
    Gebt mir Vorschläge/Tipps, welche Fehler noch in mygallery (1.4b4) vorhanden sind.
     
  13. adlerauge

    adlerauge Well-Known Member

    Registriert seit:
    7. Januar 2007
    Beiträge:
    89
    Zustimmungen:
    0
    Kleiner Tipp von mir, die Herren/ der Herr von Wildbits.de Ist ziemlich heikel was das anbieten von geänderten Versionen von myGallery angeht!! (Beiträge/Kommentare auf Wildbits.de beachten)
    Ich empfehle dir deine Änderungen per Mail an den Programmierer zu senden, damit er sie in der nächsten Version integrieren kann. Damit es weiterhin nur eine Offizielle Version gibt. (Bei einem weiterem Upgrade von der offiziellen Version währen die Fehler wider vorhanden und die Fehlersuche beginnt von vorne!)
     
  14. delogam

    delogam Active Member

    Registriert seit:
    31. März 2007
    Beiträge:
    36
    Zustimmungen:
    0
    Ich habe bisher lediglich die Begriffe in allen Dateien geändert:
    tumbs ist bei mir thumbs, tmb_ = tn_ und weight = width.

    Ansonsten ist das Plugin unverändert.
    Beispiel: ein Thumbnail ist demnach: .../folder/galleryname/thumbs/tn_file.jpg
     
  15. delogam

    delogam Active Member

    Registriert seit:
    31. März 2007
    Beiträge:
    36
    Zustimmungen:
    0
    Das modifizierte Plugin in der Version MyGallery 1.4b5 !!!
    Altes Plugin sollte vorher deaktiviert werden, zusätzlich das alte mygallery via FTP gelöscht und gegen das hier befindliche modifizierte Plugin* ausgetauscht werden. Anschließend kann die Gallery wieder verwendet werden.

    * Da das Forum eine Dateigröße von nur max. 100 kb erlaubt, habe ich die Lightbox Ordner in einer zweiten Zip-Datei gepackt. Diese Ordner müssen in den mygallery ordner wieder rein.

    EDIT: Dateien sind gelöscht.
     
    #15 delogam, 9. April 2007
    Zuletzt bearbeitet: 9. April 2007
  16. tboley

    tboley Well-Known Member

    Registriert seit:
    27. Oktober 2005
    Beiträge:
    1.178
    Zustimmungen:
    0
    Bitte die modifizierten Versionen umgehend entfernen, da sie nicht von mir autorisiert wurden.

    Gerade die Veränderung der Bezeichnung thum und tumb wurden schon x-mal diskutiert und ich habe auch mehrfach erklärt, warum ich diese nicht ändere. Wer das für sich ändert, kann dies gerne tun, aber sollte nicht einfach eine geänderte Version anbieten, wenn er die Konsequenzen nicht einschätzen kann.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden